import es,dnd,popuplib,spe,playerlib
from dnd import dnd
from spe import HookAction
from spe import HookType

def load():
    spe.parseINI('dnd/subscripts/signatures/mysigs.ini')
    spe.parseTypesINI('dnd/subscripts/signatures/mytypes.ini')
    spe.detourFunction('Respawn', HookType.Pre, pre_spawn)

    Human_Info = popuplib.create('Dwarf Info')
    Human_Info.addline('Dwarf Race Information:')
    Human_Info.addline(' 10 Extra Health')
    Human_Info.addline('-> 9. Main Menu')
    Human_Info.submenu(9, 'main_menu')
    
def unload():
    spe.undetourFunction('Respawn', HookType.Pre, pre_spawn)
    
def unload():
    popuplib.delete('Dwarf Info')
    spe.unregisterPreHook("player_spawn", pre_spawn)
    
def pre_spawn(args):
    userid = es.getuserid(es.gethandlefromindex(spe.getEntityIndex(args[0])))
    if dnd.Player(userid).getRace() == 'Dwarf':
        dnd.Temp(userid).add('health', 20)
    return (HookAction.Continue, 0)
    
def player_spawn(ev):
    if dnd.Player(ev['userid']).getRace() == 'Dwarf':
        player = playerlib.getPlayer(ev['userid'])
        player.setCash(player.getCash()*.9)
        dnd.speed(ev['player'], -.05)