import es,dnd,popuplib,spe
from dnd import dnd
from spe import HookAction
from spe import HookType

def load():
    spe.parseINI('dnd/subscripts/signatures/mysigs.ini')
    spe.parseTypesINI('dnd/subscripts/signatures/mytypes.ini')
    spe.detourFunction('Respawn', HookType.Pre, pre_spawn)
    Human_Info = popuplib.create('Elf Info')
    Human_Info.addline('Elf Race Information:')
    Human_Info.addline(' 5% Extra Speed (If no stealth)')
    Human_Info.addline(' Slightly More Stealthed')
    Human_Info.addline(' Immune to sleep effects')
    Human_Info.addline(' -10 Health')
    Human_Info.addline('-> 9. Main Menu')
    Human_Info.submenu(9, 'main_menu')
    
def unload():
    popuplib.delete('Elf Info')
    spe.undetourFunction('Respawn', HookType.Pre, pre_spawn)
    
def pre_spawn(args):
    userid = es.getuserid(es.gethandlefromindex(spe.getEntityIndex(args[0])))
    if dnd.Player(userid).getRace() == 'Elf':
        dnd.Temp(userid).add('health', -10)
    return (HookAction.Continue, 0)
    
def player_spawn(ev):
    userid = ev['userid']
    if dnd.Player(userid).getRace() == 'Elf':
        if dnd.Temp(userid).get('stealth') < 200:
            dnd.Temp(userid).add('stealth', -20)
        else:
            dnd.speed(userid, .05)