import es, dnd, popuplib, usermsg
from dnd import dnd

def load():
    global classes, normalRaces, laRaces, everything
    createMenus()    
    
    # Put all classes and races in here to list
    classes = ['Fighter', 'Cleric', 'Rogue', 'Sorceror', 'Paladin']
    normalRaces = ['Human', 'Dwarf', 'Elf', 'Orc', 'Halfling', 'Kobold', 'GreyElf']
    laRaces = []
    ###########################################
    races = normalRaces + laRaces
    everything = classes + normalRaces
    for item in everything:
        dndAddItem(item)
        if item in classes:
            es.reload('dnd/subscripts/Classes/%s'%item)
        if item in races:
            es.reload('dnd/subscripts/Races/%s'%item)
        
def unload():
    popuplib.delete('class_menu')
    popuplib.delete('normal_races')
    for x in everything:
        es.unload('dnd/subscripts/%s'%x)
    
def createMenus():
    global class_menu, normal_races, classInfo, normalRacesInfo    
    
    class_menu = popuplib.easymenu('class_menu', '_popuplib_choice', dnd.classSelect)
    class_menu.settitle('Dungeons and Dragons CSS Classes: (Not Finished)')
    
    normal_races = popuplib.easymenu('normal_races', '_popuplib_choice', dnd.normalRaceSelect)
    normal_races.settitle('Dungeons and Dragons CSS Races: (Not Finished)')
    
    classInfo = popuplib.easymenu('classInfo', '_popuplib_choice', sendInfo)
    classInfo.settitle('Dungeons and Dragons CSS Classes: (Not Finished)')
    
    normalRacesInfo = popuplib.easymenu('normalRacesInfo', '_popuplib_choice', sendInfo)
    normalRacesInfo.settitle('Dungeons and Dragons CSS Races: (Not Finished)')
    
def sendInfo(userid, choice, popupid):
    if choice in ['Human', 'Dwarf', 'Elf', 'Orc', 'Halfling', 'Kobold', 'GreyElf']:
        usermsg.motd(userid, 2, "%s Info"%choice, "http://dnd-css-mod.wikidot.com/normal-races")
    else:    
        usermsg.motd(userid, 2, "%s Info"%choice, "http://dnd-css-mod.wikidot.com/%s"%choice.lower())
        
def dndAddItem(item):
    if item in classes:
        class_menu.addoption(item, item)
        classInfo.addoption(item, item)
    if item in normalRaces:
        normal_races.addoption(item, item)
        normalRacesInfo.addoption(item, item)
    
